require 'spec_helper'

describe ClientContext do

  let(:context) {ClientContext.new({}, "client1")}

  describe 'hashing' do
    it "hash correctly" do
      set = Set.new
      set.add?(context).should eql(set)
      set.add?(context).should be_nil
    end
  end
end
